This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 174473 - Kernel oops when accessing (e.g tuning) dvb-t USB stick
Kernel oops when accessing (e.g tuning) dvb-t USB stick
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 08:39 EST by Jens R. Victorin
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 22:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment 1 /var/log/messages from several tests with kernel 2.6.14-1.1637 (133.63 KB, text/plain)
2005-11-29 08:51 EST, Jens R. Victorin
no flags Details
Attachment 2 /var/log/messages from several tests with kernel 2.6.14-1.1644 (11.83 KB, text/plain)
2005-11-29 08:52 EST, Jens R. Victorin
no flags Details

  None (edit)
Description Jens R. Victorin 2005-11-29 08:39:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When running scandvb or tzap with the Freecom DVB-T USB stick the kernel oops. Sometimes the system stop responding and sometimes it does not.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4 dvb-apps-1.1.0-1.fc4, dvb-usb-wt220u-01.fw

How reproducible:
Always

Steps to Reproduce:
1. Insert stick and wait for the device to settle
Alternative 1 step 2. launch scandvb to scan for channels
Alternative 2 step 2. launch tzap to tune the stick
  

Actual Results:  Step 1. Works with the following complaint "kernel: dvb-usb: recv bulk message failed: -110"

Alternative 1 Step 2 Will cause the system to lock up completely without any explaining log entries resolved only by power cycling the system. Earlier scandvb testing produced output found in attachment 1 [details]

Alternative 2 Step 2 Will result in messages in /var/log/messages attached as  attachment 2 [details]

Expected Results:  I'd expect the system to keep running.

Additional info:

This is the command I use to produce the error

root@pcp103814pcs jrv]# tzap -c channels.conf TV4
using '/dev/dvb/adapter0/frontend0' and '/dev/dvb/adapter0/demux0'
tuning to 754000000 Hz
video pid 0x0419, audio pid 0x0418

(this command is hanging since)
Comment 1 Jens R. Victorin 2005-11-29 08:45:00 EST
Hmmm... the links to the attachments are somehow created by the system itself
and they are WRONG. They have nothing to do with my report.
Comment 2 Jens R. Victorin 2005-11-29 08:51:38 EST
Created attachment 121582 [details]
Attachment 1 [details] /var/log/messages from several tests with kernel 2.6.14-1.1637
Comment 3 Jens R. Victorin 2005-11-29 08:52:45 EST
Created attachment 121583 [details]
Attachment 2 [details] /var/log/messages from several tests with kernel 2.6.14-1.1644
Comment 4 Dave Jones 2006-02-03 02:22:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 22:01:25 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.